#{form @nonlelang.AdendumPlCtr.masaBerlakuPenawaranSubmit(id), class:'form-inline' }
    <div class="form-group">
        <label class="sr-only">&{'doc.masa_berlaku_low'}</label>
        <div class="input-group">
            <div class="input-group-prepend"><span class="input-group-text">Masa Berlaku Penawaran</span></div>
            <input type="text" class="form-control" id="masaberlaku" name="masaberlaku", value="${masaberlaku}" #{if !editable} disabled #{/if} onkeypress='validate(event)'
            	oninput="check(this)">
            <div class="input-group-append"><span class="input-group-text">hari sejak batas akhir pemasukan dokumen penawaran</span></div>
        </div>
    </div>
    &nbsp;<button type="submit" class="btn btn-primary" #{if !editable} disabled #{/if}>Simpan</button>
#{/form}

<script type="text/javascript">
    function validate(evt) {
        var theEvent = evt || window.event;

        // Handle paste
        if (theEvent.type === 'paste') {
            key = event.clipboardData.getData('text/plain');
        } else {
            // Handle key press
            var key = theEvent.keyCode || theEvent.which;
            key = String.fromCharCode(key);
        }
        var regex = /[0-9]|\./;
        if( !regex.test(key) ) {
            theEvent.returnValue = false;
            if(theEvent.preventDefault) theEvent.preventDefault();
        }
    }
    
    function check(input) {
  	   if (input.value == 0) {
  	     input.setCustomValidity('&{'nonlelang.masa_penawaran'}');
  	   } else {
  	     input.setCustomValidity('');
  	   }
  	 }
</script>